=== debian/control ===
Source: libcitadel
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/libcitadel
Vcs-Git: https://salsa.debian.org/debian/libcitadel.git
Homepage: https://www.citadel.org/

Package: libcitadel4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, shared-mime-info
Description: Citadel toolbox
 This library contains the commonly used routines for the citadel suite.

Package: libcitadel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config,
 libcitadel4 (= ${binary:Version})
Description: Development files for libcitadel4
 This library contains the commonly used routines for the citadel suite.
 .
 This package provides development files and static libraries.
