=== debian/watch ===
version=4

https://easyinstall.citadel.org/manifest.html libcitadel-([\d\S]+).tar.gz
